Bug 704113 - (ghc-dyre) Review Request: ghc-dyre - Dynamic reconfiguration in Haskell
Review Request: ghc-dyre - Dynamic reconfiguration in Haskell
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: ghc-io-storage ghc-executable-path ghc-xdg-basedir
Blocks: yi
  Show dependency treegraph
 
Reported: 2011-05-12 04:06 EDT by Narasimhan
Modified: 2013-06-24 06:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2011-05-12 04:06:18 EDT
Spec file:
http://narasim.fedorapeople.org/package_reviews/ghc-dyre.spec

SRPM file:
http://narasim.fedorapeople.org/package_reviews/ghc-dyre-0.8.6-1.fc14.src.rpm

rpmlint output:
rpmlint  -i ghc-dyre.spec  ghc-dyre-0.8.6-1.fc14.src.rpm  ~/rpmbuild/RPMS/i686/ghc-dyre-*.rpm
ghc-dyre-prof.i686: E: devel-dependency ghc-dyre-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-dyre-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-dyre-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/dyre-0.8.6/libHSdyre-0.8.6_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 1 Narasimhan 2012-12-02 09:07:55 EST
http://narasim.fedorapeople.org/package_reviews/ghc-dyre.spec
http://narasim.fedorapeople.org/package_reviews/ghc-dyre-0.8.11-1.fc17.src.rpm

rpmlint  -i ghc-dyre-0.8.11-1.fc17.x86_64.rpm ghc-dyre-devel-0.8.11-1.fc17.x86_64.rpm ghc-dyre-0.8.11-1.fc17.src.rpm ../ghc-dyre.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Jens Petersen 2013-06-24 06:30:43 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.